Sintomi

Quando si utilizza BizTalk Server Accelerator per codice SWIFT - messaggio Pack 2015 per elaborare un messaggio FIN valido del tipo 569 MT, si verifica un errore di analisi e l'elaborazione ha esito negativo. Questo errore si verifica quando il campo 22F della sottosequenza obbligatoria C1a specifica un valore qualificatore di AUTA.

Causa

Questo problema si verifica a causa di un problema nel file di schema per 569 MT in cui non supporta il qualificatore AUTA per il particolare campo in questione.

Risoluzione

Informazioni sull'aggiornamento cumulativo

Questo problema è stato risolto prima dell' aggiornamento cumulativo 1 per BizTalk Accelerator for SWIFT messaggio Pack 2015.

Per risolvere il problema, sono state apportate le seguenti modifiche distinte, correlate:

  • Il file dello schema MT569.xsd è stato corretto per consentire campo 22F di sottosequenza C1a specificare un valore qualificatore dell'AUTA.

  • Per applicare la convalida appropriata quando viene specificato il valore del qualificatore AUTA, sono state aggiornate le regole di convalida dei criteri definiti nel file MT569_Validation_Policy.xml. Consultare il manuale dell'utente SWIFT disponibile dall'organizzazione SWIFT per ulteriori informazioni su questa convalida.


Ulteriori informazioni

Informazioni sui file

Nella tabella seguente sono elencati i file aggiornati per risolvere questo problema, che sono inclusi nell'aggiornamento cumulativo 1 per messaggio Pack 2015.

Nome del file

Percorso di installazione

MT569.xsd

[Directory di installazione MP2015] \SWIFT Messages\A4SWIFT-SRG2015\Category 5\MT569\

MT569_Validation_Policy.xml

[Directory di installazione MP2015] \SWIFT Messages\A4SWIFT-SRG2015\Category 5\MT569\

Note

  • Il valore predefinito [MP2015 installare Dir] si trova in: C:\Program Files (x86) \MP2015\.

  • Ogni file elencato nella tabella deve essere sostituito con la versione del file che è incluso nell'aggiornamento cumulativo 1 per messaggio Pack 2015. Per informazioni su come ottenere questo aggiornamento, consultare l'articolo KB 3124428 .

  • Dopo la sostituzione di questi file, potrebbe essere necessario aggiornare, ricompilare e ridistribuire le applicazioni di BizTalk che dispongono di dipendenze su questi file.


Stato

Microsoft ha confermato che si tratta di un problema di BizTalk Server Accelerator per codice SWIFT - messaggio Pack 2015.

Riferimenti

Per informazioni sui service pack e un elenco di aggiornamento cumulativo per BizTalk Server, vedere 2555976 KB: Service pack e l'elenco di aggiornamento cumulativo per BizTalk Server.

Per ulteriori informazioni sugli aggiornamenti rapidi di BizTalk Server, vedere KB 2003907: informazioni sugli aggiornamenti rapidi di BizTalk e il supporto di Service Pack.

Serve aiuto?

Amplia le tue competenze
Esplora i corsi di formazione
Ottieni in anticipo le nuove caratteristiche
Partecipa a Microsoft Insider

Queste informazioni sono risultate utili?

Come valuti la qualità della lingua?
Cosa ha influito sulla tua esperienza?

Grazie per il feedback!

×